<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateApplicantsTable extends Migration {

	public function up()
	{
		Schema::create('applicants', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->string('name_en');
			$table->string('name_ar');
			$table->string('email');
			$table->string('phone_number');
			$table->integer('career_id')->unsigned();
		});
	}

	public function down()
	{
		Schema::drop('applicants');
	}
}